function [offerMatrix,countsMatrix, countDiffAssorts] = EmpiricalPurchaseProbs( percent,numProds, offer, purchase)
    %Function that computes the empirical purchase probs for the moments
    %method


    offerMatrix = zeros(2^(numProds-1), numProds);
    countsMatrix = zeros(2^(numProds-1), numProds);
    

    D=size(offer);
    T=D(1);

    trainCutOff=floor(percent*(T/2));
    S=offer(1:trainCutOff,:);
    Z=purchase(1:trainCutOff,:);
    countDiffAssorts=1;
    for t=1:trainCutOff
        offerSet=S(t,:);
        %Need to check this
        purchase = find(Z(t,:));
        rowNum = find(ismember(offerMatrix,offerSet, 'rows'),1);
        if rowNum>0
           countsMatrix(rowNum,purchase)= countsMatrix(rowNum,purchase)+1;
        else
            offerMatrix(countDiffAssorts,:) = offerSet;
            countsMatrix(countDiffAssorts,purchase)= countsMatrix(countDiffAssorts,purchase)+1;
            countDiffAssorts=countDiffAssorts+1;

        end
        



    end
    
    %Never got to this one
    countDiffAssorts=countDiffAssorts-1;

                
    %Calculate Empirical purchase probs
    countsMatrix = countsMatrix./repmat(sum(countsMatrix,2),1,numProds);
    
                
end
        
