function bestRev = NPAssort( customerTypes, revList )
    %Finds the optimal NP assortment by enumerating over all possible
    %assortment
    bestRev=0;
    
    numProds=length(revList);
    
    for j=1:numProds-1
        
        Assortments=combntns(2:numProds,j);
        
        D=size(Assortments);
        
        for i=1:D(1)
            assort=zeros(1,numProds);
            assort(1)=1;
            for k=1:j
               assort(Assortments(i,k))=1; 
            end
       
            currentRev=npRev( assort,customerTypes, revList );

            if currentRev>=bestRev
               bestRev=currentRev; 
            end
        
        end

    end
end

